\usepackage{calc,ifthen}
\usepackage{xspace}
\usepackage{array,dcolumn}
\newcolumntype{d}{D{.}{.}{1}}
\newcolumntype{L}{>{$}l<{$}}
\newcolumntype{R}{>{$}r<{$}}
\newcolumntype{C}{>{$}c<{$}}

%  Fonts.  Bold mathematical symbols.
%  One should use e.g. \boldsymbol{alpha} instead, but this doesn't work.
\DeclareSymbolFont{mathbold}{OML}{cmm}{b}{it}
\DeclareMathSymbol{\balpha}{\mathord}{mathbold}{11}
\DeclareMathSymbol{\bbeta}{\mathord}{mathbold}{12}
\DeclareMathSymbol{\bmu}{\mathord}{mathbold}{22}
\DeclareMathSymbol{\bpi}{\mathord}{mathbold}{25}
\DeclareMathSymbol{\brho}{\mathord}{mathbold}{26}
\DeclareMathSymbol{\bsigma}{\mathord}{mathbold}{27}
\DeclareMathSymbol{\bomega}{\mathord}{mathbold}{33}
\DeclareMathSymbol{\bd}{\mathord}{mathbold}{`d}
\DeclareMathSymbol{\bx}{\mathord}{mathbold}{`x}
\DeclareMathSymbol{\by}{\mathord}{mathbold}{`y}

% \newcommand\bmu{\boldsymbol{\mu}}

%  Script
\DeclareSymbolFont{rsfscript}{OMS}{rsfs}{m}{n}
\DeclareSymbolFontAlphabet{\mathrsfs}{rsfscript}
% \font\tenscr=rsfs10
% \font\twelvescr=rsfs10 scaled \magstep1
% \skewchar\tenscr='177
% \skewchar\twelvescr='177
%
\renewcommand\thefootnote{\fnsymbol{footnote}}%
\frenchspacing
% \newcommand{\sloppypar}[1]\par{{\sloppy #1\par}}
%
\renewcommand\H{\EuScript{H}}
% \newcommand\F{\EuScript{F}}
% \newcommand\antisymm{\hbox{\tenscr A\/}}
\newcommand\antisymm{\EuScript{A}}
\let\sphi=\phi
\let\phi=\varphi
\ifx\planck\undefined
\let\planck=\hbar \renewcommand{\hbar}{%
\mathchoice{\kern2pt\planck}{\kern2pt\planck}{\kern1.5pt\planck}{\kern1.5pt\planck}}\fi
%
% \newcommand\ea{\ensuremath{\, ea_0}}
% \newcommand\eaa{\ensuremath{\, ea_0^2}}
% \newcommand\eaaa{\ensuremath{\, ea_0^3}}
%
\newcommand\e{{\rm e}}
\renewcommand\i{{\rm i}}
%
% \newcommand\muhat{\hat\mu}
% \newcommand\alphabar{\overline\alpha}
% \def\Sfunc(#1,#2;#3,#4,#5)%
% {\overline S{}^{#1\mathstrut}_{#3}{}^{#2\mathstrut}_{#4}{}^{\mathstrut}_{#5}}
%
\renewcommand\d{{\mathrm d}}
\newcommand\dbyd[2][]{\frac{\partial #1}{\partial #2}}
\newcommand\ddbyd[2][]{\frac{\partial^2 #1}{\partial #2^2}}
%
% \newcommand\es{{\rm es}}
% \newcommand\er{{\rm er}}
% \newcommand\ind{{\rm ind}}
% \newcommand\pol{{\rm pol}}
% \newcommand\ct{{\rm ct}}
% \newcommand\disp{{\rm disp}}
% \newcommand\pen{{\rm pen}}
% \newcommand\rep{{\rm rep}}
% \newcommand\exch{{\rm exch}}
% \newcommand\LJ{{\rm LJ}}
% \newcommand\BSSE{Basis Set Superposition Error}
% \newcommand\bsse{basis set superposition error}
% \newcommand\vdW{van der Waals}
% \newcommand\VdW{Van der Waals}
%
% \newdimen\digitwidth
% \setbox0\hbox{\rm 0}
% \digitwidth=\wd0
% \newdimen\minuswidth
% \setbox0\hbox{$-$}
% \minuswidth=\wd0
%
\def\sumprime{\mathop{{\sum}'}}
\let\del=\nabla
% \def\binom(#1,#2){{#1\choose#2}}
\def\casefrac#1/#2{{\textstyle\frac{#1}{#2}}}
% \let\frac=\casefrac
% \def\smfrac#1/#2{{\scriptstyle\frac{#1}{#2}}}
\newcommand{\half}{\tfrac{1}{2}}
% \newcommand{\sqrthalf}{\sqrt{\casefrac1/2}}
% \newcommand{\grad}{\mathop{\rm grad}\nolimits}
% \renewcommand{\div}{\mathop{\rm div}\nolimits}
% \newcommand{\curl}{\mathop{\rm curl}\nolimits}
% \newcommand{\erf}{\mathop{\rm erf}\nolimits}
%
% Define \lt and \gt for `less than' and `greater than'
\mathchardef\lt="313C \mathchardef\gt="313E
% Set up `<' and `>' as angle brackets
\mathcode`<="4268 \mathcode`>="5269
%
\newcommand{\degree}{\unskip\ensuremath{^\circ}}
\newcommand{\Kelvin}{\unskip\ensuremath{\,{\rm K}}}
\let\ring=\r
\newcommand{\angstrom}{\ifmmode\unskip\,\hbox{\ring A}\else
  \ensuremath{\hbox{\ring A}}\fi}
\let \Angstrom=\angstrom
\newcommand{\eV}{\unskip\ensuremath{\,{\it e\rm V}}}
\newcommand{\kJpermol}{\ensuremath{{\rm kJ\,mol}^{-1}}\xspace}
\newcommand{\recipcm}{\unskip\ensuremath{\,{\rm cm^{-1}}}}
\newcommand{\debye}{\unskip\ensuremath{\,{\rm D}}}
\let \Debye=\debye
\newcommand{\au}[1]{\unskip\ifx.#1\ensuremath{\,{\rm a.u.}}\else \ensuremath{\,{\rm a.u.}#1}\fi}
\newcommand{\second}{\unskip\ensuremath{\,{\rm s}}}
\newcommand{\fourpie}{{4\pi\epsilon_0}}
\newcommand{\vdw}{\unskip\mbox{\ensuremath{\cdot\!\cdot\!\cdot}}}
%
\def\?#1?{\message{#1}\marginpar{{\it #1}}}
%\newcommand{\comment}[1]{\begin{center}\fbox{\parbox{3 in}{#1}}\end{center}}
%
\newcommand{\ie}{\textit{i.e.}\xspace}
\newcommand{\eg}{\textit{e.g.}\xspace}
\newcommand{\etc}[1]{\ifx.#1\textit{etc.}\else\textit{etc.}#1\fi}
\newcommand{\etal}[1]{\ifx.#1\textit{et~al.}\else\textit{et~al.}#1\fi}
\newcommand{\wrt}{with respect to\xspace}
\newcommand{\via}{\textit{via}\xspace}
\newcommand{\abinitio}{\textit{ab initio}\xspace}
\newcommand{\Abinitio}{\textit{Ab initio}\xspace}
% \newcommand\eqref[1]{eq.~(\ref{#1})}
% \newcommand\Eqref[1]{Eq.~(\ref{#1})}
%
% New trick from dak. as revealed on comp.text.tex
% - denotes allowable break points
% = denotes an explicit - in the word.
\begingroup
\lccode`==`-
\hyphenation{mol-e-cule mol-e-cules ultra-vio-let inf-ra-red calc-u-la-tion
an-iso-trop-ic an-iso-tro-py quad-ru-pole quad-ru-poles hexa-de-ca-pole
hexa-de-ca-poles or-i-en-ta-tion Buck-ing-ham=-Fow-ler Car-tes-ian}
\endgroup
\newcommand{\nohyphens}{\hyphenpenalty=10000\exhyphenpenalty=10000\relax}
%
%
%  Symmetry labels. Note that \Dnh is not defined here, because \D is also
%  used for Wigner functions. It should be defined locally as needed.
% \def\D#1#2{\mathcal {D}_{#1#2}}
% \def\C#1#2{\mathcal {C}_{#1#2}}
% \newcommand\Ci{\mathcal {C}_i}
% \newcommand\Cs{\mathcal {C}_s}
% \newcommand\Oh{\mathcal {O}_h}
% \newcommand\Td{\mathcal {T}_d}
%
%
%  Wigner n-j coefficicent
% \let \Sec=\S \def\S{{\bf S}}
%  \def\d#1,#2 {d^{#1}_{#2}}
% \def\D#1,#2 {D^{#1}_{#2}}
% \def\threej(#1,#2,#3;#4,#5,#6){{\def\quad{\hskip0.6em\relax}%
%     \begin{pmatrix}#1 & #2 & #3 \\[-1ex] #4 & #5 & #6 \end{pmatrix}}}
% \def\sixj(#1,#2,#3;#4,#5,#6){{\def\quad{\hskip0.6em\relax}%
%     \left\{\begin{matrix}#1 & #2 & #3 \\[-1ex] #4 & #5 & #6
% \end{matrix}\right\}}}
% \def\ninej(#1,#2,#3;#4,#5,#6;#7,#8,#9){{\def\quad{\hskip0.6em\relax}%
%     \left\{\begin{matrix}#1 & #2 & #3 \\
%                          #4 & #5 & #6 \\
%                          #7 & #8 & #9 \end{matrix}\right\}}}
%
\providecommand{\monthname}{{\ifcase\month\or January\or February\or March\or
April\or May\or June\or July\or August\or September\or October\or November\or
December\fi}}
\renewcommand{\today}{\number\day\ \monthname\ \number\year}
%
%  Time macro. Note: uses calc package.
\newcounter{hour}\newcounter{minute}
\newcommand\now{%
\setcounter{hour}{\time/60}%
\setcounter{minute}{\time-\value{hour}*60}%
\thehour{:}\ifthenelse{\value{minute}<10}{0}{}\theminute\relax}
%
\newcommand{\signed}[2][12pt]{\vspace*{#1}\hfill\parbox[t]{60 mm}{\centering#2\\\today}}
% \def\signed#1{\bigskip\rightline{\vbox{\halign to 60 true mm{\hss##\hss\cr
% #1\cr \today\crcr}}}}
